require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0000' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.column_name('0000')).to eq('Enhancement Mandatory Append') }
    it { expect(Experian::DataDictionary.lookup('0000', 'H')).to eq('Household Match') }
    it { expect(Experian::DataDictionary.lookup('0000', 'F')).to eq('Household Match') }
    it { expect(Experian::DataDictionary.lookup('0000', 'P')).to eq('Person Match') }
    it { expect(Experian::DataDictionary.lookup('0000', 'I')).to eq('Person Match') }
    it { expect(Experian::DataDictionary.lookup('0000', 'G')).to eq('Geographic or Area Level Match') }
    it { expect(Experian::DataDictionary.lookup('0000', 'E')).to eq('Geographic or Area Level Match') }
    it { expect(Experian::DataDictionary.lookup('0000', 'N')).to eq('Non-match') }
    it { expect(Experian::DataDictionary.lookup('0000', '')).to eq('Non-match') }
    it { expect(Experian::DataDictionary.lookup('0000', '  ')).to eq('Non-match') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0000', 'D')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0000', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0000', 'DOG')).to be_nil }
  end
end
