require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0108c' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108c', '00')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0108c', '01')).to eq('Mexico') }
    it { expect(Experian::DataDictionary.lookup('0108c', '02')).to eq('Cuba') }
    it { expect(Experian::DataDictionary.lookup('0108c', '03')).to eq('Puerto Rico') }
    it { expect(Experian::DataDictionary.lookup('0108c', '04')).to eq('Nicaragua') }
    it { expect(Experian::DataDictionary.lookup('0108c', '05')).to eq('Dominican Republic') }
    it { expect(Experian::DataDictionary.lookup('0108c', '06')).to eq('Colombia') }
    it { expect(Experian::DataDictionary.lookup('0108c', '07')).to eq('Honduras') }
    it { expect(Experian::DataDictionary.lookup('0108c', '08')).to eq('Guatemala') }
    it { expect(Experian::DataDictionary.lookup('0108c', '09')).to eq('El Salvador') }
    it { expect(Experian::DataDictionary.lookup('0108c', '10')).to eq('Costa Rica') }
    it { expect(Experian::DataDictionary.lookup('0108c', '11')).to eq('Panama') }
    it { expect(Experian::DataDictionary.lookup('0108c', '12')).to eq('Ecuador') }
    it { expect(Experian::DataDictionary.lookup('0108c', '13')).to eq('Venezuela') }
    it { expect(Experian::DataDictionary.lookup('0108c', '14')).to eq('Argentina') }
    it { expect(Experian::DataDictionary.lookup('0108c', '15')).to eq('Chile') }
    it { expect(Experian::DataDictionary.lookup('0108c', '16')).to eq('Peru') }
    it { expect(Experian::DataDictionary.lookup('0108c', '17')).to eq('Bolivia') }
    it { expect(Experian::DataDictionary.lookup('0108c', '18')).to eq('Uruguay') }
    it { expect(Experian::DataDictionary.lookup('0108c', '19')).to eq('Paraguay') }
    it { expect(Experian::DataDictionary.lookup('0108c', '20')).to eq('Spain') }
    # Missing 21 on Documentation
    it { expect(Experian::DataDictionary.lookup('0108c', '22')).to eq('Brazil') }
    it { expect(Experian::DataDictionary.lookup('0108c', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108c', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108c', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108c', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108c', 'DOG')).to be_nil }
  end
end

describe 'Experian::DataDictionary 0108d' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108d', '00')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0108d', '01')).to eq('English') }
    it { expect(Experian::DataDictionary.lookup('0108d', '02')).to eq('Scottish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '03')).to eq('Danish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '04')).to eq('Swedish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '05')).to eq('Norwegian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '06')).to eq('Finnish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '07')).to eq('Icelandic') }
    it { expect(Experian::DataDictionary.lookup('0108d', '08')).to eq('Dutch') }
    it { expect(Experian::DataDictionary.lookup('0108d', '09')).to eq('Belgian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '10')).to eq('German') }
    it { expect(Experian::DataDictionary.lookup('0108d', '11')).to eq('Austrian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '12')).to eq('Hungarian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '13')).to eq('Czech') }
    it { expect(Experian::DataDictionary.lookup('0108d', '14')).to eq('Slovak') }
    it { expect(Experian::DataDictionary.lookup('0108d', '15')).to eq('Irish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '16')).to eq('Welsh') }
    it { expect(Experian::DataDictionary.lookup('0108d', '17')).to eq('French') }
    it { expect(Experian::DataDictionary.lookup('0108d', '18')).to eq('Swiss') }
    it { expect(Experian::DataDictionary.lookup('0108d', '19')).to eq('Italian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '20')).to eq('Hispanic') }
    it { expect(Experian::DataDictionary.lookup('0108d', '21')).to eq('Portuguese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '22')).to eq('Polish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '23')).to eq('Estonian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '24')).to eq('Latvian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '25')).to eq('Lithuanian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '26')).to eq('Ukrainian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '27')).to eq('Georgian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '28')).to eq('Byelorussian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '29')).to eq('Armenian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '30')).to eq('Russian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '31')).to eq('Turkish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '32')).to eq('Kurdish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '33')).to eq('Greek') }
    it { expect(Experian::DataDictionary.lookup('0108d', '34')).to eq('Persian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '35')).to eq('Moldovan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '36')).to eq('Bulgarian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '37')).to eq('Romanian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '38')).to eq('Albanian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '39')).to eq('Native American') }
    it { expect(Experian::DataDictionary.lookup('0108d', '40')).to eq('Slovenian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '41')).to eq('Croatian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '42')).to eq('Serbian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '43')).to eq('Bosniak') }
    it { expect(Experian::DataDictionary.lookup('0108d', '44')).to eq('Azerbaijani') }
    it { expect(Experian::DataDictionary.lookup('0108d', '45')).to eq('Kazakh') }
    it { expect(Experian::DataDictionary.lookup('0108d', '46')).to eq('Afghan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '47')).to eq('Pakistani') }
    it { expect(Experian::DataDictionary.lookup('0108d', '48')).to eq('Bangladeshi') }
    it { expect(Experian::DataDictionary.lookup('0108d', '49')).to eq('Indonesian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '50')).to eq('Indian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '51')).to eq('Burmese (Myanmar)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '52')).to eq('Mongolian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '53')).to eq('Chinese') }
    # No documentation for 54 and 55
    it { expect(Experian::DataDictionary.lookup('0108d', '56')).to eq('Korean') }
    it { expect(Experian::DataDictionary.lookup('0108d', '57')).to eq('Japanese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '58')).to eq('Thai') }
    it { expect(Experian::DataDictionary.lookup('0108d', '59')).to eq('Malay') }
    it { expect(Experian::DataDictionary.lookup('0108d', '60')).to eq('Laotian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '61')).to eq('Khmer') }
    it { expect(Experian::DataDictionary.lookup('0108d', '62')).to eq('Vietnamese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '63')).to eq('Sri Lankan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '64')).to eq('Uzbek') }
    it { expect(Experian::DataDictionary.lookup('0108d', '65')).to eq('Other Asian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '66')).to eq('Jewish') }
    it { expect(Experian::DataDictionary.lookup('0108d', '67')).to eq('Aleut') }
    it { expect(Experian::DataDictionary.lookup('0108d', '68')).to eq('Hebrew') }
    # No documentation for 69
    it { expect(Experian::DataDictionary.lookup('0108d', '70')).to eq('Arab') }
    # No documentation for 71
    it { expect(Experian::DataDictionary.lookup('0108d', '72')).to eq('Turkmen') }
    it { expect(Experian::DataDictionary.lookup('0108d', '73')).to eq('Tajik') }
    it { expect(Experian::DataDictionary.lookup('0108d', '74')).to eq('Kirghiz') }
    it { expect(Experian::DataDictionary.lookup('0108d', '75')).to eq('Saudi') }
    it { expect(Experian::DataDictionary.lookup('0108d', '76')).to eq('Iraqi') }
    it { expect(Experian::DataDictionary.lookup('0108d', '77')).to eq('Libyan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '78')).to eq('Egyptian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '79')).to eq('Rwandan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '80')).to eq('Tongan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '81')).to eq('Senegalese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '82')).to eq('Malawian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '83')).to eq('Sudanese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '84')).to eq('Moroccan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '85')).to eq('African American') }
    it { expect(Experian::DataDictionary.lookup('0108d', '86')).to eq('Kenyan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '87')).to eq('Nigerian (Nigeria)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '88')).to eq('Ghanaian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '89')).to eq('Zambian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '90')).to eq('Congolese (DRG)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '91')).to eq('Surinamese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '92')).to eq('Mozambican (Mozambique)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '93')).to eq('Ivorian (Ivory Coast)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '94')).to eq('Bhutanese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '95')).to eq('Ethiopian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '96')).to eq('Ugandan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '97')).to eq('Batswana (Botswana)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '98')).to eq('Cameroonian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '99')).to eq('Zimbabwean') }
    it { expect(Experian::DataDictionary.lookup('0108d', '7A')).to eq('Hindu') }
    it { expect(Experian::DataDictionary.lookup('0108d', '7B')).to eq('Djiboutian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '7C')).to eq('Manx') }
    it { expect(Experian::DataDictionary.lookup('0108d', '7D')).to eq('Telugu') }
    it { expect(Experian::DataDictionary.lookup('0108d', '7E')).to eq('Nepalese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '7F')).to eq('Samoan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '7G')).to eq('Mauritanian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '7H')).to eq('Native American Inuit') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8A')).to eq('Congolese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8B')).to eq('Central African (Central African Republic)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8C')).to eq('Togolese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8D')).to eq('Bahraini') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8E')).to eq('Qatari') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8F')).to eq('Guyanese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8G')).to eq('Tibetan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8H')).to eq('Fijian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8I')).to eq('Swazi') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8J')).to eq('Zulu') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8K')).to eq('Xhosa') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8L')).to eq('Basotho') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8M')).to eq('South African') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8N')).to eq('Liberian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8O')).to eq('Comoran') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8P')).to eq('Beninese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8Q')).to eq('Burkinabe (Burkina Faso)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8R')).to eq('Nigerien (Niger)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8S')).to eq('Ashanti') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8T')).to eq('Swahili') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8U')).to eq('Haitian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8V')).to eq('Malian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8W')).to eq('Jamaican') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8X')).to eq('Hausa') }
    it { expect(Experian::DataDictionary.lookup('0108d', '8Y')).to eq('Pili') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9A')).to eq('Namibian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9B')).to eq('Burundi') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9C')).to eq('Tanzanian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9D')).to eq('Gambian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9E')).to eq('Somali') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9F')).to eq('Macedonian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9G')).to eq('Chadian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9H')).to eq('Gabonese') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9I')).to eq('Angolan') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9J')).to eq('Chechen') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9K')).to eq('Igbo') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9L')).to eq('Yoruba') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9M')).to eq('Algerian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9N')).to eq('Filipino') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9O')).to eq('Sotho (Lesotho)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9P')).to eq('Tunisian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9Q')).to eq('Hawaiian') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9R')).to eq('Malagasy (Madagascar)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9S')).to eq('Basque') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9T')).to eq('Siere Leonean') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9U')).to eq('Kuwaiti') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9V')).to eq('Yemeni') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9W')).to eq('Guinean (Guinea-Bissau)') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9X')).to eq('Papua New Guinean') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9Y')).to eq('Equatorial Guinean') }
    it { expect(Experian::DataDictionary.lookup('0108d', '9Z')).to eq('Syrian') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'A1')).to eq('African American (Arabic Surname), 80%+') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'A2')).to eq('African American (Arabic Surname), 70-79%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'A3')).to eq('African American (Arabic Surname), 60-69%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'A4')).to eq('African American (Arabic Surname), 50-59%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'A5')).to eq('African American (Arabic Surname), 30-49%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'D1')).to eq('African American (Dutch Surname), 80%+') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'D2')).to eq('African American (Dutch Surname), 70-79%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'D3')).to eq('African American (Dutch Surname), 60-69%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'D4')).to eq('African American (Dutch Surname), 50-59%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'D5')).to eq('African American (Dutch Surname), 30-49%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'E1')).to eq('African American (English Surname), 80%+') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'E2')).to eq('African American (English Surname), 70-79%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'E3')).to eq('African American (English Surname), 60-69%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'E4')).to eq('African American (English Surname), 50-59%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'E5')).to eq('African American (English Surname), 30-49%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'F1')).to eq('African American (French Surname), 80%+') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'F2')).to eq('African American (French Surname), 70-79%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'F3')).to eq('African American (French Surname), 60-69%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'F4')).to eq('African American (French Surname), 50-59%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'F5')).to eq('African American (French Surname), 30-49%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'I1')).to eq('African American (Irish Surname), 80%+') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'I2')).to eq('African American (Irish Surname), 70-79%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'I3')).to eq('African American (Irish Surname), 60-69%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'I4')).to eq('African American (Irish Surname), 50-59%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'I5')).to eq('African American (Irish Surname), 30-49%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'S1')).to eq('African American (Scotch Surname), 80%+') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'S2')).to eq('African American (Scotch Surname), 70-79%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'S3')).to eq('African American (Scotch Surname), 60-69%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'S4')).to eq('African American (Scotch Surname), 50-59%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'S5')).to eq('African American (Scotch Surname), 30-49%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'U1')).to eq('African American (Unknown Surname), 80%+') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'U2')).to eq('African American (Unknown Surname), 70-79%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'U3')).to eq('African American (Unknown Surname), 60-69%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'U4')).to eq('African American (Unknown Surname), 50-59%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'U5')).to eq('African American (Unknown Surname), 30-49%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'W1')).to eq('African American (Welsh Surname), 80%+') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'W2')).to eq('African American (Welsh Surname), 70-79%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'W3')).to eq('African American (Welsh Surname), 60-69%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'W4')).to eq('African American (Welsh Surname), 50-59%') }
    it { expect(Experian::DataDictionary.lookup('0108d', 'W5')).to eq('African American (Welsh Surname), 30-49%') }

    it { expect(Experian::DataDictionary.lookup('0108d', 'ZZ')).to eq('Multi-Ethnic') }

    it { expect(Experian::DataDictionary.lookup('0108d', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108d', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108d', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108d', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108d', 'DOG')).to be_nil }
  end
end

describe 'Experian::DataDictionary 0108e' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108e', 'Y')).to eq('Matched to Ethnic Insight') }
    it { expect(Experian::DataDictionary.lookup('0108e', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108e', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108e', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108e', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108e', 'DOG')).to be_nil }
  end
end

describe 'Experian::DataDictionary 0108g' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108g', '01')).to eq('African') }
    it { expect(Experian::DataDictionary.lookup('0108g', '02')).to eq('African American') }
    it { expect(Experian::DataDictionary.lookup('0108g', '03')).to eq('Asian Other') }
    it { expect(Experian::DataDictionary.lookup('0108g', '04')).to eq('Chinese') }
    it { expect(Experian::DataDictionary.lookup('0108g', '05')).to eq('Czech') }
    it { expect(Experian::DataDictionary.lookup('0108g', '06')).to eq('Dutch') }
    it { expect(Experian::DataDictionary.lookup('0108g', '07')).to eq('Eastern European') }
    it { expect(Experian::DataDictionary.lookup('0108g', '08')).to eq('English') }
    it { expect(Experian::DataDictionary.lookup('0108g', '09')).to eq('French') }
    it { expect(Experian::DataDictionary.lookup('0108g', '10')).to eq('German') }
    it { expect(Experian::DataDictionary.lookup('0108g', '11')).to eq('Greek') }
    it { expect(Experian::DataDictionary.lookup('0108g', '12')).to eq('Hawaiian') }
    it { expect(Experian::DataDictionary.lookup('0108g', '13')).to eq('Hispanic') }
    it { expect(Experian::DataDictionary.lookup('0108g', '14')).to eq('Indonesian') }
    it { expect(Experian::DataDictionary.lookup('0108g', '15')).to eq('Irish') }
    it { expect(Experian::DataDictionary.lookup('0108g', '16')).to eq('Italian') }
    it { expect(Experian::DataDictionary.lookup('0108g', '17')).to eq('Japanese') }
    it { expect(Experian::DataDictionary.lookup('0108g', '18')).to eq('Jewish') }
    it { expect(Experian::DataDictionary.lookup('0108g', '19')).to eq('Korean') }
    it { expect(Experian::DataDictionary.lookup('0108g', '20')).to eq('Middle Eastern') }
    it { expect(Experian::DataDictionary.lookup('0108g', '21')).to eq('Miscellaneous Other') }
    it { expect(Experian::DataDictionary.lookup('0108g', '22')).to eq('Native American') }
    it { expect(Experian::DataDictionary.lookup('0108g', '23')).to eq('Polish') }
    it { expect(Experian::DataDictionary.lookup('0108g', '24')).to eq('Polynesian') }
    it { expect(Experian::DataDictionary.lookup('0108g', '25')).to eq('Portuguese') }
    it { expect(Experian::DataDictionary.lookup('0108g', '26')).to eq('Russian') }
    it { expect(Experian::DataDictionary.lookup('0108g', '27')).to eq('Scandinavian') }
    it { expect(Experian::DataDictionary.lookup('0108g', '28')).to eq('Scotch') }
    it { expect(Experian::DataDictionary.lookup('0108g', '29')).to eq('Swiss') }
    it { expect(Experian::DataDictionary.lookup('0108g', '30')).to eq('Ukrainian') }
    it { expect(Experian::DataDictionary.lookup('0108g', '31')).to eq('Uncoded (no group)') }
    it { expect(Experian::DataDictionary.lookup('0108g', '32')).to eq('Vietnamese') }
    it { expect(Experian::DataDictionary.lookup('0108g', '33')).to eq('Western European') }

    it { expect(Experian::DataDictionary.lookup('0108g', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108g', '35')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108g', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108g', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108g', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108g', 'DOG')).to be_nil }
  end
end

describe 'Experian::DataDictionary 0108r' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108r', 'B')).to eq('Buddhist') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'C')).to eq('Catholic') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'E')).to eq('Ethiopian Orthodox') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'G')).to eq('Greek Orthodox') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'H')).to eq('Hindu') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'I')).to eq('Muslim') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'J')).to eq('Jewish') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'K')).to eq('Sikh') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'L')).to eq('Lutheran') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'M')).to eq('Mormon') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'O')).to eq('Eastern Orthodox') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'P')).to eq('Protestant') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'S')).to eq('Shinto') }
    it { expect(Experian::DataDictionary.lookup('0108r', 'X')).to eq('Not Known or Unmatched') }

    it { expect(Experian::DataDictionary.lookup('0108r', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108r', '35')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108r', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108r', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108r', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108r', 'DOG')).to be_nil }
  end
end

describe 'Experian::DataDictionary 0108t' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108t', 'A')).to eq('African American') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'B')).to eq('Southeast Asian') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'C')).to eq('South Asian') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'D')).to eq('Central Asian') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'E')).to eq('Mediterranean') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'F')).to eq('Native American') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'G')).to eq('Scandinavian') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'H')).to eq('Polynesian') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'I')).to eq('Middle Eastern') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'J')).to eq('Jewish') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'K')).to eq('Western European') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'L')).to eq('Eastern European') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'M')).to eq('Caribbean Non-Hispanic') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'N')).to eq('East Asian') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'O')).to eq('Hispanic') }
    it { expect(Experian::DataDictionary.lookup('0108t', 'Z')).to eq('Uncoded') }

    it { expect(Experian::DataDictionary.lookup('0108t', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108t', '35')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108t', 'T')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108t', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108t', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108t', 'DOG')).to be_nil }
  end
end

describe 'Experian::DataDictionary 0108l' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108l', '00')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0108l', '01')).to eq('English') }
    it { expect(Experian::DataDictionary.lookup('0108l', '03')).to eq('Danish') }
    it { expect(Experian::DataDictionary.lookup('0108l', '04')).to eq('Swedish') }
    it { expect(Experian::DataDictionary.lookup('0108l', '05')).to eq('Norwegian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '06')).to eq('Finnish') }
    it { expect(Experian::DataDictionary.lookup('0108l', '07')).to eq('Icelandic') }
    it { expect(Experian::DataDictionary.lookup('0108l', '08')).to eq('Dutch') }
    it { expect(Experian::DataDictionary.lookup('0108l', '09')).to eq('Flemish/Walloon') }
    it { expect(Experian::DataDictionary.lookup('0108l', '10')).to eq('German') }
    it { expect(Experian::DataDictionary.lookup('0108l', '12')).to eq('Hungarian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '13')).to eq('Czech') }
    it { expect(Experian::DataDictionary.lookup('0108l', '14')).to eq('Slovak') }
    it { expect(Experian::DataDictionary.lookup('0108l', '17')).to eq('French') }
    it { expect(Experian::DataDictionary.lookup('0108l', '19')).to eq('Italian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '20')).to eq('Spanish') }
    it { expect(Experian::DataDictionary.lookup('0108l', '21')).to eq('Portuguese') }
    it { expect(Experian::DataDictionary.lookup('0108l', '22')).to eq('Polish') }
    it { expect(Experian::DataDictionary.lookup('0108l', '23')).to eq('Estonian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '24')).to eq('Latvian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '25')).to eq('Lithuanian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '27')).to eq('Georgian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '29')).to eq('Armenian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '30')).to eq('Russian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '31')).to eq('Turkish') }
    it { expect(Experian::DataDictionary.lookup('0108l', '32')).to eq('Kurdish') }
    it { expect(Experian::DataDictionary.lookup('0108l', '33')).to eq('Greek') }
    it { expect(Experian::DataDictionary.lookup('0108l', '34')).to eq('Farsi') }
    it { expect(Experian::DataDictionary.lookup('0108l', '35')).to eq('Moldovan') }
    it { expect(Experian::DataDictionary.lookup('0108l', '36')).to eq('Bulgarian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '37')).to eq('Romanian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '38')).to eq('Albanian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '40')).to eq('Slovenian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '41')).to eq('Serbo-Croatian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '44')).to eq('Azeri') }
    it { expect(Experian::DataDictionary.lookup('0108l', '45')).to eq('Kazakh') }
    it { expect(Experian::DataDictionary.lookup('0108l', '46')).to eq('Pashtu/Pashto') }
    it { expect(Experian::DataDictionary.lookup('0108l', '47')).to eq('Urdu') }
    it { expect(Experian::DataDictionary.lookup('0108l', '48')).to eq('Bengali/Bangla') }
    it { expect(Experian::DataDictionary.lookup('0108l', '49')).to eq('Bahasa Indonesia') }
    it { expect(Experian::DataDictionary.lookup('0108l', '51')).to eq('Burmese') }
    it { expect(Experian::DataDictionary.lookup('0108l', '52')).to eq('Mongolian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '53')).to eq('Chinese (Mandarin, Cantonese and other dialects') }
    it { expect(Experian::DataDictionary.lookup('0108l', '56')).to eq('Korean') }
    it { expect(Experian::DataDictionary.lookup('0108l', '57')).to eq('Japanese') }
    it { expect(Experian::DataDictionary.lookup('0108l', '58')).to eq('Thai') }
    it { expect(Experian::DataDictionary.lookup('0108l', '59')).to eq('Bahasa Melayu') }
    it { expect(Experian::DataDictionary.lookup('0108l', '60')).to eq('Lao') }
    it { expect(Experian::DataDictionary.lookup('0108l', '61')).to eq('Khmer') }
    it { expect(Experian::DataDictionary.lookup('0108l', '62')).to eq('Vietnamese') }
    it { expect(Experian::DataDictionary.lookup('0108l', '63')).to eq('Sinhala') }
    it { expect(Experian::DataDictionary.lookup('0108l', '64')).to eq('Uzbek') }
    it { expect(Experian::DataDictionary.lookup('0108l', '68')).to eq('Hebrew') }
    it { expect(Experian::DataDictionary.lookup('0108l', '70')).to eq('Arabic') }
    it { expect(Experian::DataDictionary.lookup('0108l', '72')).to eq('Turkmen') }
    it { expect(Experian::DataDictionary.lookup('0108l', '73')).to eq('Tajik') }
    it { expect(Experian::DataDictionary.lookup('0108l', '74')).to eq('Kirghiz') }
    it { expect(Experian::DataDictionary.lookup('0108l', '7A')).to eq('Hindi') }
    it { expect(Experian::DataDictionary.lookup('0108l', '7E')).to eq('Nepali') }
    it { expect(Experian::DataDictionary.lookup('0108l', '7F')).to eq('Samoan') }
    it { expect(Experian::DataDictionary.lookup('0108l', '80')).to eq('Tongan') }
    it { expect(Experian::DataDictionary.lookup('0108l', '86')).to eq('Oromo') }
    it { expect(Experian::DataDictionary.lookup('0108l', '88')).to eq('Ga') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8G')).to eq('Tibetan') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8I')).to eq('Siswati') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8J')).to eq('Zulu') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8K')).to eq('Xhosa') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8M')).to eq('Afrikaans') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8O')).to eq('Comorian/Shikomoro') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8S')).to eq('Twi (Of Ashanti Ethnicity)') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8T')).to eq('Swahili') }
    it { expect(Experian::DataDictionary.lookup('0108l', '8X')).to eq('Hausa') }
    it { expect(Experian::DataDictionary.lookup('0108l', '92')).to eq('Bantu') }
    it { expect(Experian::DataDictionary.lookup('0108l', '94')).to eq('Dzongkha') }
    it { expect(Experian::DataDictionary.lookup('0108l', '95')).to eq('Amharic') }
    it { expect(Experian::DataDictionary.lookup('0108l', '97')).to eq('Tswana') }
    it { expect(Experian::DataDictionary.lookup('0108l', '9E')).to eq('Somali') }
    it { expect(Experian::DataDictionary.lookup('0108l', '9F')).to eq('Macedonian') }
    it { expect(Experian::DataDictionary.lookup('0108l', '9K')).to eq('Ibo/Igbo') }
    it { expect(Experian::DataDictionary.lookup('0108l', '9L')).to eq('Yoruba') }
    it { expect(Experian::DataDictionary.lookup('0108l', '9N')).to eq('Tagalog') }
    it { expect(Experian::DataDictionary.lookup('0108l', '9O')).to eq('Sotho') }
    it { expect(Experian::DataDictionary.lookup('0108l', '9R')).to eq('Malagasy') }
    it { expect(Experian::DataDictionary.lookup('0108l', '9S')).to eq('Basque') }
    it { expect(Experian::DataDictionary.lookup('0108l', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0108l', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108l', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108l', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0108l', 'DOG')).to be_nil }
  end
end
