require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0110p' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0110p', 'P')).to eq('Primary Decision Maker') }
    it { expect(Experian::DataDictionary.lookup('0110p', 'E')).to eq('Elderly Parent') }
    it { expect(Experian::DataDictionary.lookup('0110p', 'D')).to eq('Deceased') }
    it { expect(Experian::DataDictionary.lookup('0110p', 'Y')).to eq('Young Adult') }
    it { expect(Experian::DataDictionary.lookup('0110p', 'O')).to eq('Other or blank') }
    it { expect(Experian::DataDictionary.lookup('0110p', ' ')).to eq('Other or blank') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0110p', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0110p', 'PE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0110p', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0110p', 'DOG')).to be_nil }
  end
end
