require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0113a' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0113a', 'H')).to eq('Homeowner') }
    it { expect(Experian::DataDictionary.lookup('0113a', '9')).to eq('Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('0113a', '8')).to eq('Highly Likely') }
    it { expect(Experian::DataDictionary.lookup('0113a', '7')).to eq('Likely') }
    it { expect(Experian::DataDictionary.lookup('0113a', 'R')).to eq('Renter') }
    it { expect(Experian::DataDictionary.lookup('0113a', 'T')).to eq('Probable Renter') }
    it { expect(Experian::DataDictionary.lookup('0113a', 'U')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0113a', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0113a', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0113a', 'HE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0113a', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0113a', 'DOG')).to be_nil }
  end
end
