require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0161' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0161', 'K1')).to eq('Management/Business & Financial Operations - Known') }
    it { expect(Experian::DataDictionary.lookup('0161', 'I6')).to eq('Blue Collar - Inferred') }
    it { expect(Experian::DataDictionary.lookup('0161', 'I4')).to eq('Sales - Inferred') }
    it { expect(Experian::DataDictionary.lookup('0161', 'I2')).to eq('Technical: Computers/Math & Architect/Engineering - Inferred') }
    it { expect(Experian::DataDictionary.lookup('0161', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0161', '9')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0161', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0161', 'R')).to eq('Unknown') }
  end
end
