require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0174' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0174', '1Y')).to eq('Confirmed Presence of Children') }
    it { expect(Experian::DataDictionary.lookup('0174', '5N')).to eq('Inferred No Children Present') }
    it { expect(Experian::DataDictionary.lookup('0174', '00')).to eq('Deceased and Child Only - primary decision maker is coded as deceased or no adult (18+) in household.') }
    it { expect(Experian::DataDictionary.lookup('0174', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0174', '20')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0174', 'A')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('0174', 'R')).to be_nil }
  end
end
