require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0715' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0715', '1125')).to eq('125 - Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('0715', '2125')).to eq('125 - Highly Likely') }
    it { expect(Experian::DataDictionary.lookup('0715', '1100')).to eq('100 - Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('0715', '3090')).to eq('90 - Likely') }
    it { expect(Experian::DataDictionary.lookup('0715', '3085')).to eq('85 - Likely') }

    it { expect(Experian::DataDictionary.lookup('0715', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0715', '3150')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0715', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0715', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0715', '0')).to eq('Unknown') }
  end
end
