require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0716' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('0716', '1A')).to eq('1 - 199 - Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('0716', '2B')).to eq('200 - 299 - Highly Likely') }
    it { expect(Experian::DataDictionary.lookup('0716', '1F')).to eq('600 - 699 - Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('0716', '3N')).to eq('2000+ - Likely') }
    it { expect(Experian::DataDictionary.lookup('0716', '3U')).to eq('Unknown') }

    it { expect(Experian::DataDictionary.lookup('0716', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0716', '3150')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0716', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0716', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0716', '0')).to eq('Unknown') }
  end
end
