require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 0717' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.column_name('0717')).to eq('Estimated Current Mortgage Amount Ranges') }
    it { expect(Experian::DataDictionary.column_name('717')).to eq('Estimated Current Mortgage Amount Ranges') }

    it { expect(Experian::DataDictionary.lookup('0717', '1A')).to eq('1,000 - 9,999 - Extremely Likely') }
    it { expect(Experian::DataDictionary.lookup('0717', '3P')).to eq('1,000,000 - + - Likely') }
    it { expect(Experian::DataDictionary.lookup('0717', '3F')).to eq('80,000 - 99,999 - Likely') }
    it { expect(Experian::DataDictionary.lookup('0717', '2N')).to eq('450,000 - 749,999 - Highly Likely') }
    it { expect(Experian::DataDictionary.lookup('0717', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('0717', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0717', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0717', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('0717', '0')).to eq('Unknown') }
  end
end
