require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8502' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8502', 'Y1')).to eq('Living unit has a known to contribute to charities - Extremely Likely to contribute to charities') }
    it { expect(Experian::DataDictionary.lookup('8502', 'Y3')).to eq('Living unit has a known to contribute to charities - Very Likely to contribute to charities') }
    it { expect(Experian::DataDictionary.lookup('8502', 'Y6')).to eq('Living unit has a known to contribute to charities - Somewhat Unlikely to contribute to charities') }
    it { expect(Experian::DataDictionary.lookup('8502', 'Y9')).to eq('Living unit has a known to contribute to charities - Extremely Unlikely to contribute to charities') }

    it { expect(Experian::DataDictionary.lookup('8502', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8502', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8502', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8502', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8502', '0')).to eq('Unknown') }
  end
end
