require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8503' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('8503', 'Y1')).to eq('Living unit has a known pet enthusiast - Extremely Likely pet enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8503', 'Y3')).to eq('Living unit has a known pet enthusiast - Very Likely pet enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8503', 'Y6')).to eq('Living unit has a known pet enthusiast - Somewhat Unlikely pet enthusiast') }
    it { expect(Experian::DataDictionary.lookup('8503', 'Y9')).to eq('Living unit has a known pet enthusiast - Extremely Unlikely pet enthusiast') }

    it { expect(Experian::DataDictionary.lookup('8503', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8503', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8503', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8503', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8503', '0')).to eq('Unknown') }
  end
end
