require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary 8504' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('8504','Y1') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('8504', 'U1')).to eq('Unknown - Extremely Likely interest in cultural arts') }
    it { expect(Experian::DataDictionary.lookup('8504', 'Y3')).to eq('Living unit has a known interest in cultural arts - Very Likely interest in cultural arts') }
    it { expect(Experian::DataDictionary.lookup('8504', 'Y6')).to eq('Living unit has a known interest in cultural arts - Somewhat Unlikely interest in cultural arts') }
    it { expect(Experian::DataDictionary.lookup('8504', 'Y9')).to eq('Living unit has a known interest in cultural arts - Extremely Unlikely interest in cultural arts') }

    it { expect(Experian::DataDictionary.lookup('8504', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('8504', 'A')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8504', '1')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8504', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('8504', '0')).to eq('Unknown') }
  end
end
