require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary g2603' do
  context 'valid lookup' do
    # it { expect( Experian::DataDictionary.lookup('g2603','') ).to eq('') }
    it { expect(Experian::DataDictionary.lookup('g2603', '1')).to eq('Counties in Metro Areas with population 1,000,000 or more') }
    it { expect(Experian::DataDictionary.lookup('g2603', '4')).to eq('Urban population of 20,000 or more, adjacent to a Metro Area.') }
    it { expect(Experian::DataDictionary.lookup('g2603', '7')).to eq('Urban population of 2,500 to 19,999, not adjacent to a Metro Area.') }
    it { expect(Experian::DataDictionary.lookup('g2603', '9')).to eq('Completely rural or less than 2,500 urban population, not adjacent to a Metro Area.') }
    it { expect(Experian::DataDictionary.lookup('g2603', '6')).to eq('Urban population of 2,500 to 19,999, adjacent to a Metro Area.') }

    it { expect(Experian::DataDictionary.lookup('g2603', ' ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('g2603', 'P')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('g2603', '10')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('g2603', '14')).to be_nil }
  end
end
