require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary p213e' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('p213e', '101')).to eq('Less than $25,000 - Extremely Likely (Household level code)') }
    it { expect(Experian::DataDictionary.lookup('p213e', '305')).to eq('$100,000 - $249,999 - Likely (Zip level code)') }
    it { expect(Experian::DataDictionary.lookup('p213e', '210')).to eq('$2,000,000+ - Highly Likely (Zip 4 level code)') }
    it { expect(Experian::DataDictionary.lookup('p213e', '  ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('p213e', 'D')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('p213e', 'GG')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('p213e', 'DOG')).to eq('Unknown') }
  end
end
