require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary p213h' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('p213h', '101')).to eq('The Wealth Market - Wealthy Older Mostly w/o Kids When it comes to American affluence, The Wealth Market is home to the richest addresses in the nation. Consisting of older suburban couples, this is where to find millionaires in the P$YCLE system. Most of the households boast more than $1 million in income-producing assets, and invest in a broad range of stocks, corporate/municipal bonds, mutual funds, and real estate. These consumers also excel in buying annuities and other investment-style life insurance products. In The Wealth Market, residents are known for both making money and spending money in grand style, splurging on foreign travel and cultural events as well as hiring a small army of financial managers, estate planners, and full-service brokers the better to accumulate more assets. - Extremely Likely (Household level code)') }
    it { expect(Experian::DataDictionary.lookup('p213h', '305')).to eq('Power Couples - Wealthy Older w/o Kids The most affluent Younger Years segment, Power Couples seems to have it made: six-figure incomes, designer-decorated houses, and high balances in their income-producing assets. As investors, these mostly 45- to 54-year-old couples boast retirement accounts containing a welldiversified mix of options, stocks, and mutual funds. Typically college-educated and holding management jobs, they also tend to be cultured consumers who travel the world, subscribe to publications like Forbes and Architectural Digest, and shop at swanky stores like Lord & Taylor and Nordstrom. When it comes to managing their money, however, they put their faith in the pros, exhibiting high rates for using asset managers, estate planners, and full-service brokers. Internet savvy, they track how well their investments are doing online. - Likely (Zip level code)') }
    it { expect(Experian::DataDictionary.lookup('p213h', '210')).to eq('Capital Accumulators - Upper Mid Older Mostly w/o Kids Capital Accumulators is a collection of 55+ year-old suburbanites dedicated to growing their IRAs and 401(k) retirement accounts. Theyre twice as likely as average Americans to own securities, mutual funds, and real estate investments. Many households are home to white-collar professionals who have parlayed upper middle class incomes into substantial income-producing assets. They tend to lead very active lifestyles, traveling abroad, skiing at exclusive resorts, and paying for investment advice from stockbrokers and financial planners. With their brains and bucks, Capital Accumulators consume a variety of media, reading the Wall Street Journal and Cigar Aficionado, and watching pay-per-view movies at high rates. - Highly Likely (Zip 4 level code)') }
    it { expect(Experian::DataDictionary.lookup('p213h', '  ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('p213h', 'D')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('p213h', 'GG')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('p213h', 'DOG')).to eq('Unknown') }
  end
end
