require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary p213w' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('p213w', '101')).to eq('$0 - $24,999 - Extremely Likely (Household level code)') }
    it { expect(Experian::DataDictionary.lookup('p213w', '305')).to eq('$100,000 - $149,999 - Likely (Zip level code)') }
    it { expect(Experian::DataDictionary.lookup('p213w', '210')).to eq('$1,000,000+ - Highly Likely (Zip 4 level code)') }
    it { expect(Experian::DataDictionary.lookup('p213w', '  ')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('p213w', 'D')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('p213w', 'GG')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('p213w', 'DOG')).to eq('Unknown') }
  end
end
