require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary t2000' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('t2000', ' ')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('t2000', '400888')).to eq('Zip+4 level data - 00888') }
    it { expect(Experian::DataDictionary.lookup('t2000', 'L87900')).to eq('Living unit level data - 87900') }
    it { expect(Experian::DataDictionary.lookup('t2000', 'Z12333')).to eq('Zip level data - 12333') }
    it { expect(Experian::DataDictionary.lookup('t2000', 'Z')).to eq('Unknown') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('t2000', 'F')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('t2000', 'PE')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('t2000', 'GG')).to eq('Unknown') }
    it { expect(Experian::DataDictionary.lookup('t2000', 'DOG')).to eq('Unknown') }
  end
end
