require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary y000' do
  context 'valid lookup' do
    it { expect(Experian::DataDictionary.lookup('y000', ' ')).to eq('Non-match') }
    it { expect(Experian::DataDictionary.lookup('y000', 'S')).to eq('Census State') }
    it { expect(Experian::DataDictionary.lookup('y000', 'C')).to eq('Census County') }
    it { expect(Experian::DataDictionary.lookup('y000', 'T')).to eq('Census Tract') }
    it { expect(Experian::DataDictionary.lookup('y000', 'B')).to eq('Census Block Group') }
  end

  context 'invalid lookup' do
    it { expect(Experian::DataDictionary.lookup('y000', 'F')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('y000', 'PE')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('y000', 'GG')).to be_nil }
    it { expect(Experian::DataDictionary.lookup('y000', 'DOG')).to be_nil }
  end
end
