require File.join(Dir.pwd, 'spec', 'spec_helper')

describe 'Experian::DataDictionary columns' do
  context 'as strings' do
    it { expect(Experian::DataDictionary.lookup('0000', 'H')).to eq('Household Match') }

    it { expect(Experian::DataDictionary.lookup('0100', '198009')).to eq('09/1980') }
    it { expect(Experian::DataDictionary.lookup('0100c', 'E99')).to eq('99 - Exact age') }
  end

  context 'as limited strings' do
    it { expect(Experian::DataDictionary.lookup('0', 'H')).to eq('Household Match') }

    it { expect(Experian::DataDictionary.lookup('100', '198009')).to eq('09/1980') }
    it { expect(Experian::DataDictionary.lookup('100c', 'E99')).to eq('99 - Exact age') }
  end

  context 'as integers' do
    it { expect(Experian::DataDictionary.lookup(0, 'H')).to eq('Household Match') }

    it { expect(Experian::DataDictionary.lookup(100, '198009')).to eq('09/1980') }
    it { expect(Experian::DataDictionary.lookup(100, 198_009)).to eq('09/1980') }
  end
end
